Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1694761 - Wrong directory 'hieradata' instead of 'data'
Summary: Wrong directory 'hieradata' instead of 'data'
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Puppet
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-01 15:15 UTC by Oliver Falk
Modified: 2019-04-06 08:03 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-03 20:36:07 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Oliver Falk 2019-04-01 15:15:05 UTC
Description of problem:
RHSAT 6.5 comes with Puppet 5.x, hiera.yaml from that version defaults to datadir: data, no longer hieradata.

# rpm -ql puppet-agent |grep hieradata
/etc/puppetlabs/code/environments/production/hieradata

# grep datadir $(rpm -ql puppet-agent |grep production/hiera.yaml)
  # The default value for "datadir" is "data" under the same directory as the hiera.yaml
  # When specifying a datadir, make sure the directory exists.
  # datadir: data


Version-Release number of selected component (if applicable):

puppet-agent-5.5.0-3.el7sat.x86_64 (from RHSAT 6.5 install => satellite-6.5.0-7.beta.el7sat.noarch).


How reproducible: Always


Steps to Reproduce: Not required

Actual results:
'hieradata' directory in production environment, instead of 'data'.


Expected results:
'data' directory in production environment, or data linked to hieradata or the other way round.


Additional info:
The "wrong" hieradata directory could be misleading and people may wonder why their YAML files are not picked up correctly/at all.

Comment 4 Brad Buckingham 2019-04-03 20:36:07 UTC
Based upon offline discussion, /etc/puppetlabs/code/environments is not really an area for Satellite to manage.  It is mostly contains user data.  The location is also something that we ultimately control as it is defined by puppetlabs.  At this time, this doesn't appear to be a bug that we'd be solve within Satellite.

Comment 5 Brad Buckingham 2019-04-03 20:37:02 UTC
That said, thank you for opening the bugzilla.

Comment 6 Oliver Falk 2019-04-06 08:03:18 UTC
Hi!

Thanks Brad. I thought it's better to open a BZ after already running into this issue for too many times. I though creating a link from data to hieradata might make sense. Anyway, thanks for the answer.

Oliver


Note You need to log in before you can comment on or make changes to this bug.